import { ToolActionDescription } from "./ToolActionDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ToolActionButtonPairDescription extends ToolActionDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private d5;
    get leftIsSelected(): boolean;
    set leftIsSelected(a: boolean);
    private d7;
    get rightIsSelected(): boolean;
    set rightIsSelected(a: boolean);
    private d4;
    get leftIsDisabled(): boolean;
    set leftIsDisabled(a: boolean);
    private d6;
    get rightIsDisabled(): boolean;
    set rightIsDisabled(a: boolean);
    private e7;
    get leftIconName(): string;
    set leftIconName(a: string);
    private e4;
    get leftCommandArgument(): string;
    set leftCommandArgument(a: string);
    private d3;
    get isToggleDisabled(): boolean;
    set isToggleDisabled(a: boolean);
    private e5;
    get leftIconCollectionName(): string;
    set leftIconCollectionName(a: string);
    private eg;
    get leftIconViewBoxLeft(): number;
    set leftIconViewBoxLeft(a: number);
    private eh;
    get leftIconViewBoxTop(): number;
    set leftIconViewBoxTop(a: number);
    private ei;
    get leftIconViewBoxWidth(): number;
    set leftIconViewBoxWidth(a: number);
    private ef;
    get leftIconViewBoxHeight(): number;
    set leftIconViewBoxHeight(a: number);
    private e6;
    get leftIconFill(): string;
    set leftIconFill(a: string);
    private ez;
    get actualLeftIconFill(): string;
    set actualLeftIconFill(a: string);
    private dv;
    get leftIconFillColors(): string[];
    set leftIconFillColors(a: string[]);
    private e8;
    get leftIconStroke(): string;
    set leftIconStroke(a: string);
    private e0;
    get actualLeftIconStroke(): string;
    set actualLeftIconStroke(a: string);
    private dw;
    get leftIconStrokeColors(): string[];
    set leftIconStrokeColors(a: string[]);
    private ee;
    get leftIconStrokeWidth(): number;
    set leftIconStrokeWidth(a: number);
    private e9;
    get leftTitle(): string;
    set leftTitle(a: string);
    private fd;
    get rightIconName(): string;
    set rightIconName(a: string);
    private fa;
    get rightCommandArgument(): string;
    set rightCommandArgument(a: string);
    private fb;
    get rightIconCollectionName(): string;
    set rightIconCollectionName(a: string);
    private el;
    get rightIconViewBoxLeft(): number;
    set rightIconViewBoxLeft(a: number);
    private em;
    get rightIconViewBoxTop(): number;
    set rightIconViewBoxTop(a: number);
    private en;
    get rightIconViewBoxWidth(): number;
    set rightIconViewBoxWidth(a: number);
    private ek;
    get rightIconViewBoxHeight(): number;
    set rightIconViewBoxHeight(a: number);
    private fc;
    get rightIconFill(): string;
    set rightIconFill(a: string);
    private e1;
    get actualRightIconFill(): string;
    set actualRightIconFill(a: string);
    private dx;
    get rightIconFillColors(): string[];
    set rightIconFillColors(a: string[]);
    private fe;
    get rightIconStroke(): string;
    set rightIconStroke(a: string);
    private e2;
    get actualRightIconStroke(): string;
    set actualRightIconStroke(a: string);
    private dy;
    get rightIconStrokeColors(): string[];
    set rightIconStrokeColors(a: string[]);
    private ej;
    get rightIconStrokeWidth(): number;
    set rightIconStrokeWidth(a: number);
    private ff;
    get rightTitle(): string;
    set rightTitle(a: string);
    private e3;
    get displayType(): string;
    set displayType(a: string);
    private ed;
    get cornerRadius(): number;
    set cornerRadius(a: number);
}
